<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" th:href="@{/webjars/bootstrap/css/bootstrap.min.css}"/>
    <link rel="stylesheet" th:href="@{/css/style.css}">
    <script defer th:src="@{/webjars/bootstrap/js/bootstrap.bundle.min.js}">
    </script>
</head>
<body>

<div class="container shadow-lg p-3 mb-5 bg-white rounded">


    <div th:insert="~{fragments/fragments::navbar(5)}">No navbar</div>
<h3 th:utext="#{addBankCard.add}" style="text-align: center">Add a BankCard</h3>
<form method="post" action="/addBankCard" th:object="${formDataa}">
    <div th:if="${#fields.hasAnyErrors()}" class="alert alert-danger">
        <p>The form contained errors!</p>
    </div>

    <div class="form-group">
    <label th:utext="#{addBankCard.name}">name:</label>
    <input th:class="${#fields.hasErrors('name')}? 'is-invalid form-control':'form-control'" type="text" th:field="*{name}" /><br/>
        <div class="invalid-feedback" th:if="${#fields.hasErrors('name')}"
             th:text="${#fields.errors('name')}"></div>
    </div>


    <div class="form-group">
        <label th:utext="#{addBankCard.ibanNumber}">IbanNumber:</label>
    <input th:class="${#fields.hasErrors('IbanNumber')}? 'is-invalid form-control':'form-control'" type="text" th:field="*{IbanNumber}"
           title="Two letters followed by 16 numbers" /><br/>
        <div class="invalid-feedback" th:if="${#fields.hasErrors('IbanNumber')}"
             th:text="${#fields.errors('IbanNumber')}"></div>
    </div>
    <div class="form-group">
    <label th:utext="#{addBankCard.expireDate}">expireDate:</label>
    <input th:class="${#fields.hasErrors('expireDate')}? 'is-invalid form-control':'form-control'" type="date" name="expireDate" th:field="*{expireDate}"><br>
        <div class="invalid-feedback" th:if="${#fields.hasErrors('expireDate')}"
             th:text="${#fields.errors('expireDate')}"></div>
    </div>

    <div class="form-group">
    <label th:utext="#{addBankCard.amount}">amount</label>
    <input th:class="${#fields.hasErrors('amount')}? 'is-invalid form-control':'form-control'"type="text" th:field="*{amount}" /><br/>
        <div class="invalid-feedback" th:if="${#fields.hasErrors('amount')}"
             th:text="${#fields.errors('amount')}"></div>
            </div>
                <div class="form-group">

     </div>
    <br>
    <div class="row justify-content-center">
    <button class="btn btn-primary btn-lg btn-block" type="submit">Submit</button>
    </div>
</form>
    <div th:insert="~{fragments/fragments::footer}">No footer</div>
</div>
</body>
</html>